org.gradle.api.plugins.quality

## Class FindBugsPlugin

- java.lang.Object
- - org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>
  - - org.gradle.api.plugins.quality.FindBugsPlugin

- All Implemented Interfaces:
    Plugin<org.gradle.api.internal.project.ProjectInternal>

      public class FindBugsPlugin
      extends org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>

  A plugin for the FindBugs byte code analyzer.

  Declares a `findbugs` configuration which needs to be configured with the FindBugs library to be used. Additional plugins can be added to the `findbugsPlugins` configuration.

  For projects that have the Java (base) plugin applied, a `FindBugs` task is created for each source set.

  See Also:
    `FindBugs`, `FindBugsExtension`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_FINDBUGS_VERSION`

    - ### Fields inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindBugsPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `beforeApply()`
    `protected void` | `configureForSourceSet(SourceSet sourceSet, FindBugs task)`
    `protected void` | `configureTaskDefaults(FindBugs task, String baseName)`
    `protected CodeQualityExtension` | `createExtension()`
    `protected Class<FindBugs>` | `getTaskType()`
    `protected String` | `getToolName()`

    - ### Methods inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `apply, conventionMappingOf, createConfigurations, getBasePlugin, getConfigurationName, getJavaPluginConvention, getReportName, getTaskBaseName, withBasePlugin`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FINDBUGS_VERSION

          public static final String DEFAULT_FINDBUGS_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FindBugsPlugin

          public FindBugsPlugin()

  - ### Method Detail

    - #### getToolName

          protected String getToolName()

      Specified by:
        `getToolName` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>`

    - #### getTaskType

          protected Class<FindBugs> getTaskType()

      Specified by:
        `getTaskType` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>`

    - #### beforeApply

          protected void beforeApply()

      Overrides:
        `beforeApply` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>`

    - #### createExtension

          protected CodeQualityExtension createExtension()

      Specified by:
        `createExtension` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>`

    - #### configureTaskDefaults

          protected void configureTaskDefaults(FindBugs task,
                                   String baseName)

      Overrides:
        `configureTaskDefaults` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>`

    - #### configureForSourceSet

          protected void configureForSourceSet(SourceSet sourceSet,
                                   FindBugs task)

      Overrides:
        `configureForSourceSet` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<FindBugs>`